package com.ruoyi.system.domain.lawcase;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class CaseSimpleExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public CaseSimpleExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAyIsNull() {
            addCriterion("ay is null");
            return (Criteria) this;
        }

        public Criteria andAyIsNotNull() {
            addCriterion("ay is not null");
            return (Criteria) this;
        }

        public Criteria andAyEqualTo(String value) {
            addCriterion("ay =", value, "ay");
            return (Criteria) this;
        }

        public Criteria andAyNotEqualTo(String value) {
            addCriterion("ay <>", value, "ay");
            return (Criteria) this;
        }

        public Criteria andAyGreaterThan(String value) {
            addCriterion("ay >", value, "ay");
            return (Criteria) this;
        }

        public Criteria andAyGreaterThanOrEqualTo(String value) {
            addCriterion("ay >=", value, "ay");
            return (Criteria) this;
        }

        public Criteria andAyLessThan(String value) {
            addCriterion("ay <", value, "ay");
            return (Criteria) this;
        }

        public Criteria andAyLessThanOrEqualTo(String value) {
            addCriterion("ay <=", value, "ay");
            return (Criteria) this;
        }

        public Criteria andAyLike(String value) {
            addCriterion("ay like", value, "ay");
            return (Criteria) this;
        }

        public Criteria andAyNotLike(String value) {
            addCriterion("ay not like", value, "ay");
            return (Criteria) this;
        }

        public Criteria andAyIn(List<String> values) {
            addCriterion("ay in", values, "ay");
            return (Criteria) this;
        }

        public Criteria andAyNotIn(List<String> values) {
            addCriterion("ay not in", values, "ay");
            return (Criteria) this;
        }

        public Criteria andAyBetween(String value1, String value2) {
            addCriterion("ay between", value1, value2, "ay");
            return (Criteria) this;
        }

        public Criteria andAyNotBetween(String value1, String value2) {
            addCriterion("ay not between", value1, value2, "ay");
            return (Criteria) this;
        }

        public Criteria andAjlxIsNull() {
            addCriterion("ajlx is null");
            return (Criteria) this;
        }

        public Criteria andAjlxIsNotNull() {
            addCriterion("ajlx is not null");
            return (Criteria) this;
        }

        public Criteria andAjlxEqualTo(String value) {
            addCriterion("ajlx =", value, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxNotEqualTo(String value) {
            addCriterion("ajlx <>", value, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxGreaterThan(String value) {
            addCriterion("ajlx >", value, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxGreaterThanOrEqualTo(String value) {
            addCriterion("ajlx >=", value, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxLessThan(String value) {
            addCriterion("ajlx <", value, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxLessThanOrEqualTo(String value) {
            addCriterion("ajlx <=", value, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxLike(String value) {
            addCriterion("ajlx like", value, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxNotLike(String value) {
            addCriterion("ajlx not like", value, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxIn(List<String> values) {
            addCriterion("ajlx in", values, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxNotIn(List<String> values) {
            addCriterion("ajlx not in", values, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxBetween(String value1, String value2) {
            addCriterion("ajlx between", value1, value2, "ajlx");
            return (Criteria) this;
        }

        public Criteria andAjlxNotBetween(String value1, String value2) {
            addCriterion("ajlx not between", value1, value2, "ajlx");
            return (Criteria) this;
        }

        public Criteria andGmorfrIsNull() {
            addCriterion("gmorfr is null");
            return (Criteria) this;
        }

        public Criteria andGmorfrIsNotNull() {
            addCriterion("gmorfr is not null");
            return (Criteria) this;
        }

        public Criteria andGmorfrEqualTo(String value) {
            addCriterion("gmorfr =", value, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrNotEqualTo(String value) {
            addCriterion("gmorfr <>", value, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrGreaterThan(String value) {
            addCriterion("gmorfr >", value, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrGreaterThanOrEqualTo(String value) {
            addCriterion("gmorfr >=", value, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrLessThan(String value) {
            addCriterion("gmorfr <", value, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrLessThanOrEqualTo(String value) {
            addCriterion("gmorfr <=", value, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrLike(String value) {
            addCriterion("gmorfr like", value, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrNotLike(String value) {
            addCriterion("gmorfr not like", value, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrIn(List<String> values) {
            addCriterion("gmorfr in", values, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrNotIn(List<String> values) {
            addCriterion("gmorfr not in", values, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrBetween(String value1, String value2) {
            addCriterion("gmorfr between", value1, value2, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andGmorfrNotBetween(String value1, String value2) {
            addCriterion("gmorfr not between", value1, value2, "gmorfr");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcIsNull() {
            addCriterion("dsr_fr_mc is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcIsNotNull() {
            addCriterion("dsr_fr_mc is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcEqualTo(String value) {
            addCriterion("dsr_fr_mc =", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcNotEqualTo(String value) {
            addCriterion("dsr_fr_mc <>", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcGreaterThan(String value) {
            addCriterion("dsr_fr_mc >", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_mc >=", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcLessThan(String value) {
            addCriterion("dsr_fr_mc <", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_mc <=", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcLike(String value) {
            addCriterion("dsr_fr_mc like", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcNotLike(String value) {
            addCriterion("dsr_fr_mc not like", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcIn(List<String> values) {
            addCriterion("dsr_fr_mc in", values, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcNotIn(List<String> values) {
            addCriterion("dsr_fr_mc not in", values, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcBetween(String value1, String value2) {
            addCriterion("dsr_fr_mc between", value1, value2, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_mc not between", value1, value2, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmIsNull() {
            addCriterion("dsr_fr_xm is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmIsNotNull() {
            addCriterion("dsr_fr_xm is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmEqualTo(String value) {
            addCriterion("dsr_fr_xm =", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmNotEqualTo(String value) {
            addCriterion("dsr_fr_xm <>", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmGreaterThan(String value) {
            addCriterion("dsr_fr_xm >", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_xm >=", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmLessThan(String value) {
            addCriterion("dsr_fr_xm <", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_xm <=", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmLike(String value) {
            addCriterion("dsr_fr_xm like", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmNotLike(String value) {
            addCriterion("dsr_fr_xm not like", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmIn(List<String> values) {
            addCriterion("dsr_fr_xm in", values, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmNotIn(List<String> values) {
            addCriterion("dsr_fr_xm not in", values, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmBetween(String value1, String value2) {
            addCriterion("dsr_fr_xm between", value1, value2, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_xm not between", value1, value2, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwIsNull() {
            addCriterion("dsr_fr_zw is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwIsNotNull() {
            addCriterion("dsr_fr_zw is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwEqualTo(String value) {
            addCriterion("dsr_fr_zw =", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwNotEqualTo(String value) {
            addCriterion("dsr_fr_zw <>", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwGreaterThan(String value) {
            addCriterion("dsr_fr_zw >", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_zw >=", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwLessThan(String value) {
            addCriterion("dsr_fr_zw <", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_zw <=", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwLike(String value) {
            addCriterion("dsr_fr_zw like", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwNotLike(String value) {
            addCriterion("dsr_fr_zw not like", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwIn(List<String> values) {
            addCriterion("dsr_fr_zw in", values, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwNotIn(List<String> values) {
            addCriterion("dsr_fr_zw not in", values, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwBetween(String value1, String value2) {
            addCriterion("dsr_fr_zw between", value1, value2, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_zw not between", value1, value2, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzIsNull() {
            addCriterion("dsr_fr_dz is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzIsNotNull() {
            addCriterion("dsr_fr_dz is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzEqualTo(String value) {
            addCriterion("dsr_fr_dz =", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzNotEqualTo(String value) {
            addCriterion("dsr_fr_dz <>", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzGreaterThan(String value) {
            addCriterion("dsr_fr_dz >", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_dz >=", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzLessThan(String value) {
            addCriterion("dsr_fr_dz <", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_dz <=", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzLike(String value) {
            addCriterion("dsr_fr_dz like", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzNotLike(String value) {
            addCriterion("dsr_fr_dz not like", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzIn(List<String> values) {
            addCriterion("dsr_fr_dz in", values, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzNotIn(List<String> values) {
            addCriterion("dsr_fr_dz not in", values, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzBetween(String value1, String value2) {
            addCriterion("dsr_fr_dz between", value1, value2, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_dz not between", value1, value2, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelIsNull() {
            addCriterion("dsr_fr_tel is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelIsNotNull() {
            addCriterion("dsr_fr_tel is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelEqualTo(String value) {
            addCriterion("dsr_fr_tel =", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelNotEqualTo(String value) {
            addCriterion("dsr_fr_tel <>", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelGreaterThan(String value) {
            addCriterion("dsr_fr_tel >", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_tel >=", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelLessThan(String value) {
            addCriterion("dsr_fr_tel <", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_tel <=", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelLike(String value) {
            addCriterion("dsr_fr_tel like", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelNotLike(String value) {
            addCriterion("dsr_fr_tel not like", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelIn(List<String> values) {
            addCriterion("dsr_fr_tel in", values, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelNotIn(List<String> values) {
            addCriterion("dsr_fr_tel not in", values, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelBetween(String value1, String value2) {
            addCriterion("dsr_fr_tel between", value1, value2, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_tel not between", value1, value2, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmIsNull() {
            addCriterion("dsr_gm_xm is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmIsNotNull() {
            addCriterion("dsr_gm_xm is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmEqualTo(String value) {
            addCriterion("dsr_gm_xm =", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmNotEqualTo(String value) {
            addCriterion("dsr_gm_xm <>", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmGreaterThan(String value) {
            addCriterion("dsr_gm_xm >", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_xm >=", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmLessThan(String value) {
            addCriterion("dsr_gm_xm <", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_xm <=", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmLike(String value) {
            addCriterion("dsr_gm_xm like", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmNotLike(String value) {
            addCriterion("dsr_gm_xm not like", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmIn(List<String> values) {
            addCriterion("dsr_gm_xm in", values, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmNotIn(List<String> values) {
            addCriterion("dsr_gm_xm not in", values, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmBetween(String value1, String value2) {
            addCriterion("dsr_gm_xm between", value1, value2, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_xm not between", value1, value2, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbIsNull() {
            addCriterion("dsr_gm_xb is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbIsNotNull() {
            addCriterion("dsr_gm_xb is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbEqualTo(String value) {
            addCriterion("dsr_gm_xb =", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbNotEqualTo(String value) {
            addCriterion("dsr_gm_xb <>", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbGreaterThan(String value) {
            addCriterion("dsr_gm_xb >", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_xb >=", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbLessThan(String value) {
            addCriterion("dsr_gm_xb <", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_xb <=", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbLike(String value) {
            addCriterion("dsr_gm_xb like", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbNotLike(String value) {
            addCriterion("dsr_gm_xb not like", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbIn(List<String> values) {
            addCriterion("dsr_gm_xb in", values, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbNotIn(List<String> values) {
            addCriterion("dsr_gm_xb not in", values, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbBetween(String value1, String value2) {
            addCriterion("dsr_gm_xb between", value1, value2, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_xb not between", value1, value2, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlIsNull() {
            addCriterion("dsr_gm_nl is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlIsNotNull() {
            addCriterion("dsr_gm_nl is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlEqualTo(String value) {
            addCriterion("dsr_gm_nl =", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlNotEqualTo(String value) {
            addCriterion("dsr_gm_nl <>", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlGreaterThan(String value) {
            addCriterion("dsr_gm_nl >", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_nl >=", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlLessThan(String value) {
            addCriterion("dsr_gm_nl <", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_nl <=", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlLike(String value) {
            addCriterion("dsr_gm_nl like", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlNotLike(String value) {
            addCriterion("dsr_gm_nl not like", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlIn(List<String> values) {
            addCriterion("dsr_gm_nl in", values, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlNotIn(List<String> values) {
            addCriterion("dsr_gm_nl not in", values, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlBetween(String value1, String value2) {
            addCriterion("dsr_gm_nl between", value1, value2, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_nl not between", value1, value2, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzIsNull() {
            addCriterion("dsr_gm_sfz is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzIsNotNull() {
            addCriterion("dsr_gm_sfz is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzEqualTo(String value) {
            addCriterion("dsr_gm_sfz =", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzNotEqualTo(String value) {
            addCriterion("dsr_gm_sfz <>", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzGreaterThan(String value) {
            addCriterion("dsr_gm_sfz >", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_sfz >=", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzLessThan(String value) {
            addCriterion("dsr_gm_sfz <", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_sfz <=", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzLike(String value) {
            addCriterion("dsr_gm_sfz like", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzNotLike(String value) {
            addCriterion("dsr_gm_sfz not like", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzIn(List<String> values) {
            addCriterion("dsr_gm_sfz in", values, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzNotIn(List<String> values) {
            addCriterion("dsr_gm_sfz not in", values, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzBetween(String value1, String value2) {
            addCriterion("dsr_gm_sfz between", value1, value2, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_sfz not between", value1, value2, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzIsNull() {
            addCriterion("dsr_gm_dz is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzIsNotNull() {
            addCriterion("dsr_gm_dz is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzEqualTo(String value) {
            addCriterion("dsr_gm_dz =", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzNotEqualTo(String value) {
            addCriterion("dsr_gm_dz <>", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzGreaterThan(String value) {
            addCriterion("dsr_gm_dz >", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_dz >=", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzLessThan(String value) {
            addCriterion("dsr_gm_dz <", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_dz <=", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzLike(String value) {
            addCriterion("dsr_gm_dz like", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzNotLike(String value) {
            addCriterion("dsr_gm_dz not like", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzIn(List<String> values) {
            addCriterion("dsr_gm_dz in", values, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzNotIn(List<String> values) {
            addCriterion("dsr_gm_dz not in", values, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzBetween(String value1, String value2) {
            addCriterion("dsr_gm_dz between", value1, value2, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_dz not between", value1, value2, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelIsNull() {
            addCriterion("dsr_gm_tel is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelIsNotNull() {
            addCriterion("dsr_gm_tel is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelEqualTo(String value) {
            addCriterion("dsr_gm_tel =", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelNotEqualTo(String value) {
            addCriterion("dsr_gm_tel <>", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelGreaterThan(String value) {
            addCriterion("dsr_gm_tel >", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_tel >=", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelLessThan(String value) {
            addCriterion("dsr_gm_tel <", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_tel <=", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelLike(String value) {
            addCriterion("dsr_gm_tel like", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelNotLike(String value) {
            addCriterion("dsr_gm_tel not like", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelIn(List<String> values) {
            addCriterion("dsr_gm_tel in", values, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelNotIn(List<String> values) {
            addCriterion("dsr_gm_tel not in", values, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelBetween(String value1, String value2) {
            addCriterion("dsr_gm_tel between", value1, value2, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_tel not between", value1, value2, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andSbsjIsNull() {
            addCriterion("sbsj is null");
            return (Criteria) this;
        }

        public Criteria andSbsjIsNotNull() {
            addCriterion("sbsj is not null");
            return (Criteria) this;
        }

        public Criteria andSbsjEqualTo(String value) {
            addCriterion("sbsj =", value, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjNotEqualTo(String value) {
            addCriterion("sbsj <>", value, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjGreaterThan(String value) {
            addCriterion("sbsj >", value, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjGreaterThanOrEqualTo(String value) {
            addCriterion("sbsj >=", value, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjLessThan(String value) {
            addCriterion("sbsj <", value, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjLessThanOrEqualTo(String value) {
            addCriterion("sbsj <=", value, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjLike(String value) {
            addCriterion("sbsj like", value, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjNotLike(String value) {
            addCriterion("sbsj not like", value, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjIn(List<String> values) {
            addCriterion("sbsj in", values, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjNotIn(List<String> values) {
            addCriterion("sbsj not in", values, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjBetween(String value1, String value2) {
            addCriterion("sbsj between", value1, value2, "sbsj");
            return (Criteria) this;
        }

        public Criteria andSbsjNotBetween(String value1, String value2) {
            addCriterion("sbsj not between", value1, value2, "sbsj");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(String value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(String value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(String value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(String value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(String value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(String value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLike(String value) {
            addCriterion("create_time like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotLike(String value) {
            addCriterion("create_time not like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<String> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<String> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(String value1, String value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(String value1, String value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNull() {
            addCriterion("create_by is null");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNotNull() {
            addCriterion("create_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreateByEqualTo(String value) {
            addCriterion("create_by =", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotEqualTo(String value) {
            addCriterion("create_by <>", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThan(String value) {
            addCriterion("create_by >", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThanOrEqualTo(String value) {
            addCriterion("create_by >=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThan(String value) {
            addCriterion("create_by <", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThanOrEqualTo(String value) {
            addCriterion("create_by <=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLike(String value) {
            addCriterion("create_by like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotLike(String value) {
            addCriterion("create_by not like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByIn(List<String> values) {
            addCriterion("create_by in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotIn(List<String> values) {
            addCriterion("create_by not in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByBetween(String value1, String value2) {
            addCriterion("create_by between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotBetween(String value1, String value2) {
            addCriterion("create_by not between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNull() {
            addCriterion("ylzd1 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNotNull() {
            addCriterion("ylzd1 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd1EqualTo(String value) {
            addCriterion("ylzd1 =", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotEqualTo(String value) {
            addCriterion("ylzd1 <>", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThan(String value) {
            addCriterion("ylzd1 >", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd1 >=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThan(String value) {
            addCriterion("ylzd1 <", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThanOrEqualTo(String value) {
            addCriterion("ylzd1 <=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Like(String value) {
            addCriterion("ylzd1 like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotLike(String value) {
            addCriterion("ylzd1 not like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1In(List<String> values) {
            addCriterion("ylzd1 in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotIn(List<String> values) {
            addCriterion("ylzd1 not in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Between(String value1, String value2) {
            addCriterion("ylzd1 between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotBetween(String value1, String value2) {
            addCriterion("ylzd1 not between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNull() {
            addCriterion("ylzd2 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNotNull() {
            addCriterion("ylzd2 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd2EqualTo(String value) {
            addCriterion("ylzd2 =", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotEqualTo(String value) {
            addCriterion("ylzd2 <>", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThan(String value) {
            addCriterion("ylzd2 >", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd2 >=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThan(String value) {
            addCriterion("ylzd2 <", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThanOrEqualTo(String value) {
            addCriterion("ylzd2 <=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Like(String value) {
            addCriterion("ylzd2 like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotLike(String value) {
            addCriterion("ylzd2 not like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2In(List<String> values) {
            addCriterion("ylzd2 in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotIn(List<String> values) {
            addCriterion("ylzd2 not in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Between(String value1, String value2) {
            addCriterion("ylzd2 between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotBetween(String value1, String value2) {
            addCriterion("ylzd2 not between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNull() {
            addCriterion("ylzd3 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNotNull() {
            addCriterion("ylzd3 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd3EqualTo(String value) {
            addCriterion("ylzd3 =", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotEqualTo(String value) {
            addCriterion("ylzd3 <>", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThan(String value) {
            addCriterion("ylzd3 >", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd3 >=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThan(String value) {
            addCriterion("ylzd3 <", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThanOrEqualTo(String value) {
            addCriterion("ylzd3 <=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Like(String value) {
            addCriterion("ylzd3 like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotLike(String value) {
            addCriterion("ylzd3 not like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3In(List<String> values) {
            addCriterion("ylzd3 in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotIn(List<String> values) {
            addCriterion("ylzd3 not in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Between(String value1, String value2) {
            addCriterion("ylzd3 between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotBetween(String value1, String value2) {
            addCriterion("ylzd3 not between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNull() {
            addCriterion("ylzd4 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNotNull() {
            addCriterion("ylzd4 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd4EqualTo(String value) {
            addCriterion("ylzd4 =", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotEqualTo(String value) {
            addCriterion("ylzd4 <>", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThan(String value) {
            addCriterion("ylzd4 >", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd4 >=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThan(String value) {
            addCriterion("ylzd4 <", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThanOrEqualTo(String value) {
            addCriterion("ylzd4 <=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Like(String value) {
            addCriterion("ylzd4 like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotLike(String value) {
            addCriterion("ylzd4 not like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4In(List<String> values) {
            addCriterion("ylzd4 in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotIn(List<String> values) {
            addCriterion("ylzd4 not in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Between(String value1, String value2) {
            addCriterion("ylzd4 between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotBetween(String value1, String value2) {
            addCriterion("ylzd4 not between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNull() {
            addCriterion("ylzd5 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNotNull() {
            addCriterion("ylzd5 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd5EqualTo(String value) {
            addCriterion("ylzd5 =", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotEqualTo(String value) {
            addCriterion("ylzd5 <>", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThan(String value) {
            addCriterion("ylzd5 >", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd5 >=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThan(String value) {
            addCriterion("ylzd5 <", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThanOrEqualTo(String value) {
            addCriterion("ylzd5 <=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Like(String value) {
            addCriterion("ylzd5 like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotLike(String value) {
            addCriterion("ylzd5 not like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5In(List<String> values) {
            addCriterion("ylzd5 in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotIn(List<String> values) {
            addCriterion("ylzd5 not in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Between(String value1, String value2) {
            addCriterion("ylzd5 between", value1, value2, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotBetween(String value1, String value2) {
            addCriterion("ylzd5 not between", value1, value2, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd6IsNull() {
            addCriterion("ylzd6 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd6IsNotNull() {
            addCriterion("ylzd6 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd6EqualTo(String value) {
            addCriterion("ylzd6 =", value, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6NotEqualTo(String value) {
            addCriterion("ylzd6 <>", value, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6GreaterThan(String value) {
            addCriterion("ylzd6 >", value, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd6 >=", value, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6LessThan(String value) {
            addCriterion("ylzd6 <", value, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6LessThanOrEqualTo(String value) {
            addCriterion("ylzd6 <=", value, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6Like(String value) {
            addCriterion("ylzd6 like", value, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6NotLike(String value) {
            addCriterion("ylzd6 not like", value, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6In(List<String> values) {
            addCriterion("ylzd6 in", values, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6NotIn(List<String> values) {
            addCriterion("ylzd6 not in", values, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6Between(String value1, String value2) {
            addCriterion("ylzd6 between", value1, value2, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd6NotBetween(String value1, String value2) {
            addCriterion("ylzd6 not between", value1, value2, "ylzd6");
            return (Criteria) this;
        }

        public Criteria andYlzd7IsNull() {
            addCriterion("ylzd7 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd7IsNotNull() {
            addCriterion("ylzd7 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd7EqualTo(String value) {
            addCriterion("ylzd7 =", value, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7NotEqualTo(String value) {
            addCriterion("ylzd7 <>", value, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7GreaterThan(String value) {
            addCriterion("ylzd7 >", value, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd7 >=", value, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7LessThan(String value) {
            addCriterion("ylzd7 <", value, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7LessThanOrEqualTo(String value) {
            addCriterion("ylzd7 <=", value, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7Like(String value) {
            addCriterion("ylzd7 like", value, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7NotLike(String value) {
            addCriterion("ylzd7 not like", value, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7In(List<String> values) {
            addCriterion("ylzd7 in", values, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7NotIn(List<String> values) {
            addCriterion("ylzd7 not in", values, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7Between(String value1, String value2) {
            addCriterion("ylzd7 between", value1, value2, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd7NotBetween(String value1, String value2) {
            addCriterion("ylzd7 not between", value1, value2, "ylzd7");
            return (Criteria) this;
        }

        public Criteria andYlzd8IsNull() {
            addCriterion("ylzd8 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd8IsNotNull() {
            addCriterion("ylzd8 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd8EqualTo(String value) {
            addCriterion("ylzd8 =", value, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8NotEqualTo(String value) {
            addCriterion("ylzd8 <>", value, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8GreaterThan(String value) {
            addCriterion("ylzd8 >", value, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd8 >=", value, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8LessThan(String value) {
            addCriterion("ylzd8 <", value, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8LessThanOrEqualTo(String value) {
            addCriterion("ylzd8 <=", value, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8Like(String value) {
            addCriterion("ylzd8 like", value, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8NotLike(String value) {
            addCriterion("ylzd8 not like", value, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8In(List<String> values) {
            addCriterion("ylzd8 in", values, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8NotIn(List<String> values) {
            addCriterion("ylzd8 not in", values, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8Between(String value1, String value2) {
            addCriterion("ylzd8 between", value1, value2, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd8NotBetween(String value1, String value2) {
            addCriterion("ylzd8 not between", value1, value2, "ylzd8");
            return (Criteria) this;
        }

        public Criteria andYlzd9IsNull() {
            addCriterion("ylzd9 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd9IsNotNull() {
            addCriterion("ylzd9 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd9EqualTo(String value) {
            addCriterion("ylzd9 =", value, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9NotEqualTo(String value) {
            addCriterion("ylzd9 <>", value, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9GreaterThan(String value) {
            addCriterion("ylzd9 >", value, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd9 >=", value, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9LessThan(String value) {
            addCriterion("ylzd9 <", value, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9LessThanOrEqualTo(String value) {
            addCriterion("ylzd9 <=", value, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9Like(String value) {
            addCriterion("ylzd9 like", value, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9NotLike(String value) {
            addCriterion("ylzd9 not like", value, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9In(List<String> values) {
            addCriterion("ylzd9 in", values, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9NotIn(List<String> values) {
            addCriterion("ylzd9 not in", values, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9Between(String value1, String value2) {
            addCriterion("ylzd9 between", value1, value2, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd9NotBetween(String value1, String value2) {
            addCriterion("ylzd9 not between", value1, value2, "ylzd9");
            return (Criteria) this;
        }

        public Criteria andYlzd10IsNull() {
            addCriterion("ylzd10 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd10IsNotNull() {
            addCriterion("ylzd10 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd10EqualTo(String value) {
            addCriterion("ylzd10 =", value, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10NotEqualTo(String value) {
            addCriterion("ylzd10 <>", value, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10GreaterThan(String value) {
            addCriterion("ylzd10 >", value, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd10 >=", value, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10LessThan(String value) {
            addCriterion("ylzd10 <", value, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10LessThanOrEqualTo(String value) {
            addCriterion("ylzd10 <=", value, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10Like(String value) {
            addCriterion("ylzd10 like", value, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10NotLike(String value) {
            addCriterion("ylzd10 not like", value, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10In(List<String> values) {
            addCriterion("ylzd10 in", values, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10NotIn(List<String> values) {
            addCriterion("ylzd10 not in", values, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10Between(String value1, String value2) {
            addCriterion("ylzd10 between", value1, value2, "ylzd10");
            return (Criteria) this;
        }

        public Criteria andYlzd10NotBetween(String value1, String value2) {
            addCriterion("ylzd10 not between", value1, value2, "ylzd10");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}